#!/bin/sh
echo "Current directory is " `pwd`
echo "My pathname is " $0
MYDIR=`echo $0 | sed 's|/[^/]*$||'`
echo "MYDIR is " $MYDIR
cd $MYDIR
if [ -d /Applications/BlueJ.app ]
then
  DIR=/Applications/BlueJ.app/Contents/Resources/Java
elif [ -d /Applications/BlueJ\ 3.1.0/BlueJ.app ]
then
  DIR=/Applications/BlueJ\ 3.1.0/BlueJ.app/Contents/Resources/Java
elif [ -d /Applications/BlueJ\ 3.1.1/BlueJ.app ]
then
  DIR=/Applications/BlueJ\ 3.1.1/BlueJ.app/Contents/Resources/Java
  cat bluej.defs   >$DIR/bluej.defs
else
  echo "I can't find your installed BlueJ!  Is it still in Downloads?"
  echo "If so, drag the BlueJ folder into Applications."
  exit
fi
echo DIR is $DIR
cp -rf extensions/* "$DIR/extensions/"
cp -vf userlib/* "$DIR/userlib/"
cp -vf bluej.defs  "$DIR/"
# cp -vf suppressions.xml "$DIR/"
# cp -vf submission.defs "$DIR/"
cp -vf english-templates-newclass/* "$DIR/english/templates/newclass/"
cp -vf english-labels.txt "$DIR/english/labels"
